Delete Role Context

Deletes the specified Role Context. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.

DELETE
/identity/v2/manage/account/{uid}/rolecontext/{contextName}

Deletes the specified Role Context.

This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

contextName*string

Name of the Role Context

uid*string

UID of the User

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/identity/v2/manage/account/680fada271a140ebc0716144/rolecontext/Home?prevent_webhook=true"
{
  "IsDeleted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The uid is a required parameter."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 1133,
  "Message": "Role Context Name is not Valid.",
  "Description": "Your Role context name is not valid, please use a valid Role context name."
}